---
title: DOMException.name
slug: Web/API/DOMException/name
tags:
  - API
  - DOM
  - DOMException
  - Property
  - Reference
  - name
---
<p>{{ APIRef("DOM") }}</p>

<p>The <strong><code>name</code></strong> read-only property of the {{domxref("DOMException")}} interface returns a {{domxref("DOMString")}} that contains one of the strings associated with an <a href="/en-US/docs/Web/API/DOMException#Error_names">error name</a>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>domExceptionName</var> = <var>domExceptionInstance</var>.name;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebIDL', '#dom-domexception-name', 'name')}}</td>
   <td>{{Spec2('WebIDL')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DOMException.name")}}</p>
